For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
POST requests create both an order and a verification. Returns a JSON object representing the newly created order and verification.
## Verification processing
Employer search verifications are processed _synchronously_: Truework will attempt to process the verification during the initial POST request. If successful, the `201` response will include a `reports` key, which will contain the requested data.
It is recommended to set a timeout on synchronous requests, to account for potential latency when calling our
partners. Synchronous requests generally take only a few seconds to complete, but in rare cases they may take longer.
This creates a verification request with the following attributes:
- No target company
- Is processed synchronously
- Is Instant verification method only
- Filter employers by one of the following: any-employers, current-employers, previous-employers
- Returns the verification on a new order object
Authentication
AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec.
Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys.
Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively.
**Examples**
- For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be`
- For the "try it now" `token` field, input only the token itself, omitting `Bearer `.
Headers
AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:
Query parameters
fieldsstring or nullOptional
Comma-separated names of fields to include in the response. Separate multiple fields with commas, and denote subfields with parentheses. Multiple subfields from the same type can be listed within parentheses. In case of a list, subfields apply to each individual object. If omitted, all fields are included.
include_income_analyticsbooleanOptionalDefaults to false
Whether to calculate income analytics for the nested reports in each verification.
include_report_annotationsbooleanOptionalDefaults to false
Include potentially unverified data in the response, including report annotations and unparsed documents.
Request
permissible_purposeenumRequired
A valid purpose is required for Truework to process the verification request.
Throughout the API, this is signified by the permissible_purpose field.
VALUE
DESCRIPTION
child-support
Determine child support payments (available to verifiers that represent a state or local child support enforcement agencies)
credit-application
The target’s application for credit
employee-eligibility
Employee’s eligibility for a benefit granted by a governmental agency required by law to consider the employee’s financial responsibility or status
employee-request
The target has issued the verifier written instruction to obtain this information
employee-review-or-collection
Performing a review or collection of the target’s account
employment
Employment purposes where the target has given prior written consent
insurance-underwriting-application
Underwriting insurance in response to the target’s application
legitimate-reason-initiated
Legitimate business need for the information in connection with a business transaction initiated by the target
legitimate-reason-review
Legitimate business need to review the target’s account to determine whether the employee continues to meet the terms of the account
risk-assessment
To assess the credit or prepayment risks associated with an existing credit obligation of the target
subpoena
For a court order or a federal grand jury subpoena
targetobjectRequired
Information on the individual who is being verified
typeenumRequired
Allowed values:
use_caseenumRequired
The verification request use case describes the type of product the verification request is originating from.
If omitted, the verifier type in account settings will be used as a default
VALUE
DESCRIPTION
mortgage
Verification for a mortgage
home-equity
Verification for home equity
background
Verification for a background check
tenant
Verification for a rental property
government
Verification for government/social services
auto
Verification for auto lending
lending
Verification for personal loans or consumer lending
credit
Verification for credit cards
identity
Verification for identity or fraud
insurance
Verification for insurance
health
Verification for health services
offers
Verification for offers
account-management
Verification for account management
preapproval
Verification for preapprovals
additional_informationstring or nullOptional
Any additional information about the target that can help expedite the completion of the verification request
authorization_formslist of objects or nullOptional
Authorization form files provided by the verifier for the verification
branch_idstring or nullOptional<=128 characters
The branch id associated with the verification request
loan_idstring or nullOptional
The loan id associated with the verification request
metadatamap from strings to strings or nullOptional
A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings
request_configobjectOptional
reseller_originating_partyobject or nullOptional
The originating party that requested the verification via a reseller. reseller_originating_party is required for for companies that resell data provided by Truework.
search_keystring or nullOptional
A non-unique key that can be used to search for Orders
tenant_property_idstring or nullOptional
The ID of the tenant property to be used for this verification request.
Response headers
DatestringOptional
For JSON requests, the date at which the request was signed
X-Truework-SignaturestringOptional
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures
Response
Order and Verification Request Created.
assetsobject or null
Response object specific to Assets requests or VOA add-ons.
branch_idstring or null
The branch id associated with the verification request
employer_searchobject or null
Response object specific to Employer Search requests.
idstring1-128 characters
loan_idstring or null
The loan id associated with the verification request
reverificationobject or null
Response object specific to Reverification requests.
search_keystring or null
A non-unique key that can be used to search for Orders
self_employmentobject or null
Response object specific to Self Employment requests or self-employment add-ons.
target_employerobject or null
Response object specific to Target Employer requests.
truework_directobject or null
Response object specific to Truework Direct requests.
truework_direct_session_linkstring or null
The Truework Direct URL that is emailed to the applicant for eligible orders. Will only be present when the order is using Truework Direct via email for fulfillment, and the session is prepared for input from the applicant.
verification_requestslist of objects or null
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error
POST requests create both an order and a verification. Returns a JSON object representing the newly created order and verification.
Verification processing
Employer search verifications are processed synchronously: Truework will attempt to process the verification during the initial POST request. If successful, the 201 response will include a reports key, which will contain the requested data.
It is recommended to set a timeout on synchronous requests, to account for potential latency when calling our
partners. Synchronous requests generally take only a few seconds to complete, but in rare cases they may take longer.
This creates a verification request with the following attributes:
No target company
Is processed synchronously
Is Instant verification method only
Filter employers by one of the following: any-employers, current-employers, previous-employers
Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.
Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.
Examples
For Authorization Headers: Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be
For the “try it now” token field, input only the token itself, omitting Bearer .
Comma-separated names of fields to include in the response. Separate multiple fields with commas, and denote subfields with parentheses. Multiple subfields from the same type can be listed within parentheses. In case of a list, subfields apply to each individual object. If omitted, all fields are included.